summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/endpoints/admin (follow)
Commit message (Collapse)AuthorAgeFilesLines
* split url into webUrl and localUrl (like mastodon)stableFreya Murphy25 hours1-1/+1
|
* merge: Show signup reason in user admin screen (resolves #1090) (!1114)Hazelnoot2025-06-141-0/+4
|\ | | | | | | | | | | | | | | View MR for information: https://activitypub.software/TransFem-org/Sharkey/-/merge_requests/1114 Closes #1090 Approved-by: dakkar <dakkar@thenautilus.net> Approved-by: Marie <github@yuugi.dev>
| * show signup reason in user admin screenHazelnoot2025-06-131-0/+4
| |
* | hide admin secrets from the mod logHazelnoot2025-06-141-2/+22
|/
* convert many RedisKVCaches to QuantumKVCache or MemoryKVCacheHazelnoot2025-06-091-1/+1
|
* more use of identifiable errors, improvements to inner error rendering, and ↵Hazelnoot2025-06-061-5/+2
| | | | more heuristics for is-retryable-error
* remove report -> profile relations to avoid TypeORM bug ↵Hazelnoot2025-06-041-3/+3
| | | | https://github.com/typeorm/typeorm/issues/10469
* fix relation typo in abuse-user-reportsHazelnoot2025-06-041-2/+2
|
* add relations from abuse_user_report->user_profile to speed up ↵Hazelnoot2025-06-041-1/+9
| | | | admin/abuse-user-reports endpoint
* add targetInstance to abuse report schemaHazelnoot2025-06-041-0/+5
|
* pack users with "me" context in AbuseUserReportEntityServiceHazelnoot2025-06-041-1/+1
|
* disable status badge strip in admin-user and instance-infoHazelnoot2025-05-291-0/+6
|
* merge: Synchronize database entities and code models (!1040)Marie2025-05-232-1/+5
|\ | | | | | | | | | | View MR for information: https://activitypub.software/TransFem-org/Sharkey/-/merge_requests/1040 Approved-by: dakkar <dakkar@thenautilus.net> Approved-by: Marie <github@yuugi.dev>
| * fix TS errors from defaultLikeHazelnoot2025-05-222-1/+5
| |
* | add "followStats" property to admin/show-user responseHazelnoot2025-05-161-0/+39
|/
* add configurable timeout for note translationsHazelnoot2025-05-122-0/+10
|
* add missing stateMarie2025-05-081-1/+1
| | | | ref: https://github.com/misskey-dev/misskey/issues/15992
* add setting to disable proxy account (resolves #766)Hazelnoot2025-05-012-0/+13
|
* merge upstream againHazelnoot2025-04-249-81/+269
|\
| * feat: Job queue inspector (#15856)syuilo2025-04-199-81/+266
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * Update job-queue.vue * wip * wip * Update job-queue.vue * wip * Update job-queue.vue * wip * Update QueueService.ts * Update QueueService.ts * Update QueueService.ts * Update job-queue.vue * wip * wip * wip * Update job-queue.vue * wip * Update MkTl.vue * wip * Update index.vue * wip * wip * Update MkTl.vue * 🎨 * jobs search * wip * Update job-queue.vue * wip * wip * Update job-queue.vue * Update job-queue.vue * Update job-queue.vue * Update job-queue.vue * wip * Update job-queue.job.vue * wip * wip * wip * Update MkCode.vue * wip * Update job-queue.job.vue * wip * Update job-queue.job.vue * Update misskey-js.api.md * Update CHANGELOG.md * Update job-queue.job.vue
| * enhance: ↵syuilo2025-04-161-4/+7
| | | | | | | | コントロールパネルでジョブキューをクリアできるように
* | allow `/` in `objectStoragePrefix`dakkar2025-04-141-1/+1
| |
* | Merge branch 'misskey-develop' into merge/2025-03-24Hazelnoot2025-04-032-0/+3
|\| | | | | | | | | | | | | | | | | # Conflicts: # package.json # packages/backend/src/core/AccountMoveService.ts # packages/frontend/src/components/MkDateSeparatedList.vue # packages/misskey-js/etc/misskey-js.api.md # pnpm-lock.yaml
| * Copy role on move (#15745)anatawa122025-04-032-0/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * feat(backend): copyOnMoveAccount * feat(endpoints): copyOnMoveAccount * feat(frontend): copyOnMoveAccount * docs(changelog): アカウントのマイグレーション時に古いアカウントからロールをコピーできるようになりました。 * fix: spdx header for migration * Update locales/ja-JP.yml * copyOnMoveAccount -> preserveAssignmentOnMoveAccount * fix: check for preserveAssignmentOnMoveAccount --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* | lint and type fixesHazelnoot2025-04-014-7/+8
| |
* | Revert "feat: google analytics (#15451)"Hazelnoot2025-03-252-11/+0
| | | | | | | | This reverts commit 2b6638e1
* | Merge branch 'misskey-develop' into merge/2025-03-24Hazelnoot2025-03-251-0/+1
|\| | | | | | | | | | | | | | | | | | | # Conflicts: # package.json # packages/backend/src/core/entities/NotificationEntityService.ts # packages/backend/src/types.ts # packages/frontend/src/pages/admin/modlog.ModLog.vue # packages/misskey-js/src/consts.ts # packages/misskey-js/src/entities.ts
| * enhance: チャットルームに招待されたときの通知を追加syuilo2025-03-251-0/+1
| |
* | merge upstreamHazelnoot2025-03-2523-37/+109
|\|
| * refactor(backend): better prop namesyuilo2025-03-2217-17/+17
| |
| * enhance(backend): refine system account (#15530)syuilo2025-03-026-20/+79
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * wip * Update SystemAccountService.ts * Update 1740121393164-system-accounts.js * Update DeleteAccountService.ts * wip * wip * wip * wip * Update 1740121393164-system-accounts.js * Update RepositoryModule.ts * wip * wip * wip * Update ApRendererService.ts * wip * wip * Update SystemAccountService.ts * fix tests * fix tests * fix tests * fix tests * fix tests * fix tests * add print logs * ログが長すぎて出てないかもしれない * fix migration * refactor * fix fed-tests * Update RelayService.ts * merge * Update user.test.ts * chore: emit log * fix: tweak sleep duration * fix: exit 1 * fix: wait for misskey processes to become healthy * fix: longer sleep for user deletion * fix: make sleep longer again * デッドロック解消の試み https://github.com/misskey-dev/misskey/issues/15005 * Revert "デッドロック解消の試み" This reverts commit 266141f66fb584371bbb56ef7eba04e14bcff94d. * wip * Update SystemAccountService.ts --------- Co-authored-by: おさむのひと <46447427+samunohito@users.noreply.github.com> Co-authored-by: zyoshoka <107108195+zyoshoka@users.noreply.github.com>
| * fix(backend): ↵Esurio/1673beta2025-02-261-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | S3_SAFEかつURL_SAFEでない文字列をprefixに使えないように (#15455) * fix(backend): S3_SAFEかつURL_SAFEでない文字列をprefixに使えないように * update CHANGELOG * fix validation * fix: remove unused import --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
| * feat: google analytics (#15451)syuilo2025-02-252-0/+12
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip backend * wip frontend * build misskey-js * implement control panel * fix * introduce analytics wrapper * spdx * Update analytics.ts * Update common.ts * wip * wip * wip * wip * wip * Update CHANGELOG.md --------- Co-authored-by: kakkokari-gtyih <67428053+kakkokari-gtyih@users.noreply.github.com>
| * fix(backend): correct `admin/meta` response schema (#15434)zyoshoka2025-02-091-0/+1
| |
* | convert Authorized Fetch to a setting and add support for hybrid mode ↵Hazelnoot2025-03-162-0/+22
| | | | | | | | (essential metadata only)
* | add: libretranslateMarie2025-03-062-1/+29
| |
* | remove `fileId` from `importCustomEmojis` logHazelnoot2025-03-021-1/+0
| |
* | don't pass note into moderationLogService.logHazelnoot2025-03-021-1/+0
| |
* | add moderation logs for many endpointsHazelnoot2025-03-0219-39/+169
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | - `/admin/delete-all-files-of-a-user` - `/admin/nsfw-user` - `/admin/unnsfw-user` - `/admin/silence-user` - `/admin/unsilence-user` - `/admin/accounts/create` - `/admin/drive/clean-remote-files` - `/admin/drive/cleanup` - `/admin/emoji/set-category-bulk` - `/admin/emoji/set-license-bulk` - `/admin/emoji/set-aliases-bulk` - `/admin/emoji/add-aliases-bulk` - `/admin/emoji/remove-aliases-bulk` - `/admin/emoji/import-zip` - `/admin/federation/delete-all-files` - `/admin/federation/remove-all-following` - `/admin/promo/create` - `/admin/relay/add` - `/admin/relay/remove`
* | add "reject quotes" toggle at user and instance levelHazelnoot2025-02-202-0/+73
| | | | | | | | | | | | + improve, cleanup, and de-duplicate quote resolution + add warning message when quote cannot be loaded + add "process error" framework to display warnings when a note cannot be correctly loaded from another instance
* | move `mandatoryCW` from admin-user to PackedUserLite (public field)Hazelnoot2025-02-161-5/+0
| |
* | record ModLog entry when setting a user's content warningHazelnoot2025-02-161-6/+20
| |
* | add user-level "force content warning" moderation featureHazelnoot2025-02-162-0/+58
| |
* | refresh cache when marking a user as NSFWHazelnoot2025-02-161-2/+7
| |
* | Merge branch 'develop' into merge/2024-02-03Hazelnoot2025-02-101-0/+33
|\ \ | | | | | | | | | | | | | | | | | | | | | | | | # Conflicts: # locales/index.d.ts # packages/backend/src/server/api/EndpointsModule.ts # packages/backend/src/server/api/endpoints.ts # packages/misskey-js/src/autogen/endpoint.ts # sharkey-locales/en-US.yml
| * | feat: Add generation of keys to admin pageMarie2025-02-071-0/+33
| | |
* | | remove unused imports from accounts/create.tsHazelnoot2025-02-041-1/+0
| | |
* | | add FriendlyCaptcha to new captcha admin endpointsHazelnoot2025-02-031-0/+7
| | |
* | | merge upstream 2025-02-03Hazelnoot2025-02-035-13/+228
|\ \ \ | |/ / |/| / | |/
| * feat: 新カスタム絵文字管理画面(β)の追加 (#13473)おさむのひと2025-01-203-12/+29
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * wip * wip * wip * wip * wip * wip * fix * fix * fix * fix size * fix register logs * fix img autosize * fix row selection * support delete * fix border rendering * fix display:none * tweak comments * support choose pc file and drive file * support directory drag-drop * fix * fix comment * support context menu on data area * fix autogen * wip イベント整理 * イベントの整理 * refactor grid * fix cell re-render bugs * fix row remove * fix comment * fix validation * fix utils * list maximum * add mimetype check * fix * fix number cell focus * fix over 100 file drop * remove log * fix patchData * fix performance * fix * support update and delete * support remote import * fix layout * heightやめる * fix performance * add list v2 endpoint * support pagination * fix api call * fix no clickable input text * fix limit * fix paging * fix * fix * support search * tweak logs * tweak cell selection * fix range select * block delete * add comment * fix * support import log * fix dialog * refactor * add confirm dialog * fix name * fix autogen * wip * support image change and highlight row * add columns * wip * support sort * add role name * add index to emoji * refine context menu setting * support role select * remove unused buttons * fix url * fix MkRoleSelectDialog.vue * add route * refine remote page * enter key search * fix paste bugs * fix copy/paste * fix keyEvent * fix copy/paste and delete * fix comment * fix MkRoleSelectDialog.vue and storybook scenario * fix MkRoleSelectDialog.vue and storybook scenario * add MkGrid.stories.impl.ts * fix * [wip] add custom-emojis-manager2.stories.impl.ts * [wip] add custom-emojis-manager2.stories.impl.ts * wip * 課題はまだ残っているが、ひとまず完了 * fix validation and register roles * fix upload * optimize import * patch from dev * i18n * revert excess fixes * separate sort order component * add SPDX * revert excess fixes * fix pre test * fix bugs * add type column * fix types * fix CHANGELOG.md * fix lit * lint * tweak style * refactor * fix ci * autogen * Update types.ts * CSS Module化 * fix log * 縦スクロールを無効化 * MkStickyContainer化 * regenerate locales index.d.ts * fix * fix * テスト * ランダム値によるUI変更の抑制 * テスト * tableタグやめる * fix last-child css * fix overflow css * fix endpoint.ts * tweak css * 最新への追従とレイアウト微調整 * ソートキーの指定方法を他と合わせた * fix focus * fix layout * v2エンドポイントのルールに対応 * 表示条件などを微調整 * fix MkDataCell.vue * fix error code * fix error * add comment to MkModal.vue * Update index.d.ts * fix CHANGELOG.md * fix color theme * fix CHANGELOG.md * fix CHANGELOG.md * fix center * fix: テーブルにフォーカスがあり、通常状態であるときはキーイベントの伝搬を止める * fix: ロール選択用のダイアログにてコンディショナルロールを×ボタンで除外できなかったのを修正 * fix remote list folder * sticky footers * chore: fix ci error(just single line-break diff) * fix loading * fix like * comma to space * fix ci * fix ci * removed align-center --------- Co-authored-by: osamu <46447427+sam-osamu@users.noreply.github.com> Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com> Co-authored-by: Sayamame-beans <61457993+Sayamame-beans@users.noreply.github.com>